Bug 115569 - CRASH: Trying to convert a table row to a text in a docx-document ( steps in comment 3)
Summary: CRASH: Trying to convert a table row to a text in a docx-document ( steps in ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: highest critical
Assignee: Ashod Nakashian
URL:
Whiteboard: target:6.1.0 target:6.0.2
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2018-02-09 06:37 UTC by Carlos Fernando Castaneda Olano
Modified: 2018-03-02 10:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SfxItemSet::GetPool()"]


Attachments
The wordfile that i try to convert a row of a little long table to text in the middle of the document (17.53 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-02-09 06:45 UTC, Carlos Fernando Castaneda Olano
Details
gdb backtrace (33.26 KB, text/x-log)
2018-02-13 18:17 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Fernando Castaneda Olano 2018-02-09 06:37:28 UTC
Description:
I loaded a wordfile and trying to convert a row of a little long table to a text the program crash.

Steps to Reproduce:
1. Loading a wordfile 
2. Try to convert a row in a little long table
3. LibreOffice Crash

Actual Results:  
LibreOffice Crash so the software restart and it tries to recover the file.

Expected Results:
Convert a row of a little long table in a text to separate it and get two tables with an space in the middle.


Reproducible: Didn't try


User Profile Reset: No



Additional Info:
The software have done crash

Please check:

http://crashreport.libreoffice.org/stats/crash_details/c3d8e425-629f-4fd4-9150-087a3d92a18a

Thank you.


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Carlos Fernando Castaneda Olano 2018-02-09 06:45:35 UTC
Created attachment 139716 [details]
The wordfile that i try to convert a row of a little long table to text in the middle of the document

The wordfile that I was working when LibreOffice Writer crash when I try to convert a row of a little long table to text.
Comment 2 Dieter Praas 2018-02-09 08:17:56 UTC
Steps to Reproduce:
> ...
> 2. Try to convert a row in a little long table

What do you mean by "convert a row into text"? What did you do exactly? Is it reproducible for you?
Comment 3 Xisco Faulí 2018-02-12 14:56:29 UTC
Steps:
1. Open the file
2. Go to table - Convert- Table to text
3. Undo
Crash!
Comment 4 Xisco Faulí 2018-02-12 15:03:13 UTC
Regression introduced by:

author	Ashod Nakashian <ashod.nakashian@collabora.co.uk>	2017-08-25 20:47:30 -0400
committer	Ashod Nakashian <ashnakash@gmail.com>	2017-08-28 03:50:54 +0200
commit	2c3dfd9d3bafc6ad84d750c7bec935b5b164e7f7 (patch)
tree	8a7f1e5875063abc42b4a4a5ac0e9dc0572b6c9f
parent	3eb31b506a2860eba3a578333a6486ee2a518c1a (diff)
sw: invalidate paragraph signature on edit

Bisected with: bibisect-linux64-6.0

Adding Cc: to Ashod Nakashian
Comment 5 Ashod Nakashian 2018-02-13 12:56:03 UTC
Can reproduce. Will try to resolve at soonest.
Comment 6 Xisco Faulí 2018-02-13 18:17:34 UTC
Created attachment 139873 [details]
gdb backtrace
Comment 7 Commit Notification 2018-02-19 10:51:28 UTC
Ashod Nakashian committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48fd0d45288bd8501f14c993cf613fe7743fabcd

tdf#115569 don't sign or validate text in tables

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-02-20 11:31:38 UTC
Fix confirmed in

Version: 6.1.0.0.alpha0+
Build ID: 665e646c3b217e93c8e0649a4fa4326340163483
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Ashod, could you please backport it to 6.0 ?
Comment 9 Commit Notification 2018-02-21 15:54:39 UTC
Ashod Nakashian committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=292e9861adba78303eb43bbb84fae57f2bb5d15b&h=libreoffice-6-0

tdf#115569 don't sign or validate text in tables

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2018-02-28 09:20:21 UTC
A polite ping to Ashod Nakashian: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks